﻿import test from 'ava';

import syncState from '../src/syncState';
import { SYNC_STATE } from '../src';

test('creates action to sync state.', t => {
  t.plan(1);
  const reducerName = 'reducerName';
  const reducerState = { test: 'DUMMY' };
  const doc = { _id: reducerName, state: reducerState };
  const expectedResult = { type: SYNC_STATE, payload: { name: reducerName, state: reducerState } };
  t.deepEqual(syncState(doc), expectedResult);
});
